﻿namespace SafeCampus.Application.Services.Business.AttendanceService;

public class AttendanceList
{
    /// <summary>
    /// ID
    /// </summary>
    public long Id { get; set; }
    /// <summary>
    /// 租户id
    /// </summary>
    public string TenantCode { get; set; }
    /// <summary>
    /// 门店id
    /// </summary>
    public string PoiId { get; set; }
    /// <summary>
    /// 考勤事件id
    /// </summary>
    public string EventId { get; set; }
    /// <summary>
    /// 人员跟踪id
    /// </summary>
    public string TrackId { get; set; }
    /// <summary>
    /// 关联底库id  如果为空，表示该人员未匹配到底库
    /// </summary>
    public string PersonSetId { get; set; }
    /// <summary>
    /// 人员id
    /// </summary>
    public string PersonId { get; set; }
    /// <summary>
    /// 是否自动上报
    /// </summary>
    public bool IsAuto { get; set; }
    /// <summary>
    /// 相似度
    /// </summary>
    public float Similarity { get; set; }
    /// <summary>
    /// 摄像头id
    /// </summary>
    public string CameraId { get; set; }
    /// <summary>
    /// 人脸质量分，取值[0, 100]
    /// </summary>
    public float FaceScore { get; set; }
    /// <summary>
    /// 人脸照片url，链接有效期为2小时
    /// </summary>
    public string SnapshotUrl { get; set; }
    /// <summary>
    /// 人脸照片数据，base64编码（本地对接使用）
    /// </summary>
    public string SnapshotData { get; set; }
    /// <summary>
    /// 事件发生时间
    /// </summary>
    public DateTime Tick { get; set; }
    /// <summary>
    /// 目标在快照中的位置
    /// </summary>
    public string Rects { get; set; }
    /// <summary>
    /// 人员扩展信息
    /// </summary>
    public string Extend { get; set; }
    /// <summary>
    /// 创建时间
    /// </summary>
    public DateTime CreateTime { get; set; }
}