﻿namespace SafeCampus.Application.Services.Business.ClassRoomCallTaskService;

public interface IClassRoomCallTaskService : ITransient
{
    /// <summary>
    /// 添加点名任务
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool>Add(ClassRoomCallTaskDto input);
    /// <summary>
    /// 删除点名任务,删除关联点名数据
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<bool>Remove(long id);
    /// <summary>
    /// 获取点名任务列表
    /// </summary>
    /// <param name="search"></param>
    /// <returns></returns>
    Task<SqlSugarPagedList<ClassRoomCallTaskDto>> GetPageList(ClassRoomCallTaskSearch search);
}