﻿using Newtonsoft.Json.Linq;

namespace SafeCampus.Application.Services.Business.Warn.Dto;

public class WarnInfoDto
{
    public long? ID { get; set; }
    /// <summary>
    /// 租户id
    /// </summary>
    public string TenantCode { get; set; }
    /// <summary>
    /// 门店id
    /// </summary>
    public string PoiId { get; set; }
    /// <summary>
    /// 预警id
    /// </summary>
    public string AlarmId { get; set; }
    /// <summary>
    /// 预警类型
    /// </summary>
    public string AlarmType { get; set; }
    /// <summary>
    /// 预警类型名称
    /// </summary>
    public string AlarmTypeDesc { get; set; }
    /// <summary>
    /// 摄像头id
    /// </summary>
    public string CameraId { get; set; }
    /// <summary>
    /// 摄像头名称
    /// </summary>
    public string CameraName { get; set; }
    /// <summary>
    /// 事件发生时间
    /// </summary>
    public DateTime Tick { get; set; }
    /// <summary>
    /// 摄像头快照，原链接有效期为2小时，获取到数据后下载到本地
    /// </summary>
    public string SnapshotUrl { get; set; }
    /// <summary>
    /// 预警关联视频（有些报警有，有些没有）
    /// </summary>
    public string VideoUrl { get; set; }
    /// <summary>
    /// 目标在快照中的位置
    /// </summary>
    public string Rects { get; set; }
    /// <summary>
    /// 人员名称
    /// </summary>
    public string PersonName { get; set; }
    /// <summary>
    /// 人员类型
    /// </summary>
    public string PersonType { get; set; }
    /// <summary>
    ///场景标签
    /// </summary>
    public string Tags { get; set; }
    /// <summary>
    /// 额外数据，每个预警类型不同
    /// </summary>
    public string Extend { get; set; }
    /// <summary>
    /// 预警处理状态
    /// </summary>
    public int WarnHand { get; set; }
    /// <summary>
    /// 处理意见
    /// </summary>
    public string Remark { get; set; }
    /// <summary>
    /// 处理时间
    /// </summary>
    public DateTime? HandTime { get; set; }
}
