﻿namespace SafeCampus.Web.Core.Controllers.Application.Business.Dto.Person;

public class PersonFaceInfo
{
    /// <summary>
    /// 人员ID
    /// </summary>
    public string PersonId { get; set; }
    /// <summary>
    /// 人脸大小阈值。如果不为空，系统会校验人脸大小，若输入图片中的人脸长度或宽度小于该阈值，接口直接返回报错。
    /// </summary>
    public int? faceSizeLimit { get; set; }
    /// <summary>
    /// 人脸质量分阈值。如果不为空，系统会检验人脸质量，若输入图片中的人脸质量小于该阈值，接口直接返回报错
    /// </summary>
    public float? qualityScore { get; set; }
    /// <summary>
    /// 人脸id。如果为空，系统会随机生成一个id。
    /// </summary>
    public string faceId { get; set; }
    /// <summary>
    /// 人脸图片url，支持两种格式
    /// ‒ http格式：http:
    ///‒ base64格式：前缀为base64:
    /// </summary>
    public string faceUrl { get; set; }
}