/**
 * @description 接口
 * @license Apache License Version 2.0
 * @Copyright (c) 2022-Now 少林寺驻北固山办事处大神父王喇嘛
 * @remarks
 * SimpleAdmin 基于 Apache License Version 2.0 协议发布，可用于商业项目，但必须遵守以下补充条款:
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改SimpleAdmin源码头部的版权声明。
 * 3.分发源码时候，请注明软件出处 https://gitee.com/dotnetmoyu/SimpleAdmin
 * 4.基于本软件的作品，只能使用 SimpleAdmin 作为后台服务，除外情况不可商用且不允许二次分发或开源。
 * 5.请不得将本软件应用于危害国家安全、荣誉和利益的行为，不能以任何形式用于非法为目的的行为不要删除和修改作者声明。
 * 6.任何基于本软件而产生的一切法律纠纷和责任，均于我司无关
 * @see https://gitee.com/dotnetmoyu/SimpleAdmin
 */

// 请求响应参数（不包含data）
export interface Result {
  code: string;
  msg: string;
}

// 请求响应参数（包含data）
export interface ResultData<T = any> extends Result {
  data: T;
}

// 分页响应参数
export interface ResPage<T> {
  list: T[];
  pageNum: number;
  pageSize: number;
  total: number;
}

// 分页请求参数
export interface ReqPage {
  /** 页码 */
  pageNum: number;
  /** 数量 */
  pageSize: number;
  /** 排序字段 */
  sortField?: string;
  /** 排序方式 */
  sortOrder?: string;
  /** 关键字 */
  searchKey?: string;
}

/** id请求参数 */
export interface ReqId {
  /** id */
  id: number | string;
}

/** ReqClothId请求参数 */
export interface ReqClothId {
  /** ReqClothId */
  clothSetId: number | string;
}

/** id请求参数 */
export interface ReqPersonId {
  /** id */
  personId: number | string;
}

/** id请求参数 */
export interface ReqstartId {
  /** id */
  sensorId: number | string;
}
/** id请求参数 */
export interface ReqstopId {
  /** 摄像头id */
  sensorId: number | string;
  /** 视频token */
  videoToken: string;
  /** 流ID */
  streamId: string;
}

export interface setWarn {
  configJson: string;
}

export * from "./sys";
